diff --git a/gcc/tree-vect-slp.c b/gcc/tree-vect-slp.c
index 99a8104..88556f2 100644
--- a/gcc/tree-vect-slp.c
+++ b/gcc/tree-vect-slp.c
@@ -350,7 +350,7 @@ again:
 
       if (!vect_is_simple_use (oprnd, vinfo, &def_stmt, &dt))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 			       "Build SLP failed: can't analyze def for ");
@@ -386,7 +386,7 @@ again:
 		  goto again;
 		}
 
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE,
 					 "Build SLP failed: some of the stmts"
@@ -403,7 +403,7 @@ again:
 
           if (dt == vect_unknown_def_type)
             {
-              if (thing_enabled_p ())
+              if (optinfo_enabled_p ())
                 vect_location_writeln (OPT_RECORD_FAILURE,
 				       "Unsupported pattern");
               return -1;
@@ -416,7 +416,7 @@ again:
 	      break;
 
 	    default:
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "unsupported defining stmt:\n");
 	      return -1;
@@ -458,7 +458,7 @@ again:
 		  goto again;
 		}
 
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "Build SLP failed: different types\n");
 
@@ -471,7 +471,7 @@ again:
 		  || !can_duplicate_and_interleave_p (stmts.length (),
 						      TYPE_MODE (type))))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE,
 				   "Build SLP failed: invalid type of def "
@@ -498,7 +498,7 @@ again:
 
 	default:
 	  /* FORNOW: Not supported.  */
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 			       "Build SLP failed: illegal type of def ");
@@ -517,7 +517,7 @@ again:
          we've committed to the operand order and can't swap it.  */
       if (STMT_VINFO_NUM_SLP_USES (vinfo_for_stmt (stmt)) != 0)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 			       "Build SLP failed: cannot swap operands of "
@@ -553,7 +553,7 @@ again:
       else
 	swap_ssa_operands (stmt, gimple_assign_rhs1_ptr (stmt),
 			   gimple_assign_rhs2_ptr (stmt));
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK,
 			   "swapped operands to match def types in ");
@@ -578,7 +578,7 @@ vect_record_max_nunits (vec_info *vinfo, gimple *stmt, unsigned int group_size,
 {
   if (!vectype)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "Build SLP failed: unsupported data-type in ");
@@ -651,7 +651,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
       swap[i] = 0;
       matches[i] = false;
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK, "Build SLP for ");
 	  dump_gimple_stmt (MSG_NOTE, TDF_SLIM, stmt, 0);
@@ -660,7 +660,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
       /* Fail to vectorize statements marked as unvectorizable.  */
       if (!STMT_VINFO_VECTORIZABLE (vinfo_for_stmt (stmt)))
         {
-          if (thing_enabled_p ())
+          if (optinfo_enabled_p ())
             {
               vect_location_writeln (OPT_RECORD_FAILURE,
 			       "Build SLP failed: unvectorizable statement ");
@@ -674,7 +674,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
       lhs = gimple_get_lhs (stmt);
       if (lhs == NULL_TREE)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 			       "Build SLP failed: not GIMPLE_ASSIGN nor "
@@ -705,7 +705,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 	      || !gimple_call_nothrow_p (call_stmt)
 	      || gimple_call_chain (call_stmt))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE, 
 				   "Build SLP failed: unsupported call type ");
@@ -746,7 +746,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 
 		  if (!optab)
 		    {
-		      if (thing_enabled_p ())
+		      if (optinfo_enabled_p ())
 			vect_location_writeln (OPT_RECORD_FAILURE,
 					 "Build SLP failed: no optab.\n");
 		      /* Fatal mismatch.  */
@@ -756,7 +756,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 		  icode = (int) optab_handler (optab, vec_mode);
 		  if (icode == CODE_FOR_nothing)
 		    {
-		      if (thing_enabled_p ())
+		      if (optinfo_enabled_p ())
 			vect_location_writeln (OPT_RECORD_FAILURE,
 					 "Build SLP failed: "
 					 "op not supported by target.\n");
@@ -802,7 +802,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
                        || first_stmt_code == COMPONENT_REF
                        || first_stmt_code == MEM_REF)))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE, 
 				   "Build SLP failed: different operation "
@@ -820,7 +820,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 	  if (need_same_oprnds
 	      && !operand_equal_p (first_op1, gimple_assign_rhs2 (stmt), 0))
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE, 
 				   "Build SLP failed: different shift "
@@ -840,7 +840,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 		  || gimple_call_fntype (first_stmt)
 		     != gimple_call_fntype (stmt))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    {
 		      vect_location_writeln (OPT_RECORD_FAILURE, 
 				       "Build SLP failed: different calls in ");
@@ -871,7 +871,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
                      chains in the same node.  */
                   if (prev_first_load != first_load)
                     {
-                      if (thing_enabled_p ())
+                      if (optinfo_enabled_p ())
                         {
                           dump_printf_loc (MSG_MISSED_OPTIMIZATION,
 					   vect_location, 
@@ -893,7 +893,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 	  if (TREE_CODE_CLASS (rhs_code) == tcc_reference)
 	    {
 	      /* Not grouped load.  */
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE, 
 				   "Build SLP failed: not grouped load ");
@@ -913,7 +913,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 	      && TREE_CODE_CLASS (rhs_code) != tcc_comparison
 	      && rhs_code != CALL_EXPR)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  vect_location_writeln (OPT_RECORD_FAILURE,
 				   "Build SLP failed: operation");
@@ -951,7 +951,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 		swap[i] = 2;
 	      else
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    {
 		      vect_location_writeln (OPT_RECORD_FAILURE,
 				       "Build SLP failed: different"
@@ -981,7 +981,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
       unsigned HOST_WIDE_INT count;
       if (!nunits.is_constant (&count))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_FAILURE,
 			     "Build SLP failed: different operations "
 			     "not allowed with variable-length SLP.\n");
@@ -1002,7 +1002,7 @@ vect_build_slp_tree_1 (vec_info *vinfo, unsigned char *swap,
 	    if (gimple_assign_rhs_code (stmts[i]) == alt_stmt_code)
 	      {
 		matches[i] = false;
-		if (thing_enabled_p ())
+		if (optinfo_enabled_p ())
 		  {
 		    vect_location_writeln (OPT_RECORD_FAILURE,
 				     "Build SLP failed: different operation "
@@ -1345,7 +1345,7 @@ vect_build_slp_tree_2 (vec_info *vinfo,
 		    {
 		      if (!swap_not_matching)
 			{
-			  if (thing_enabled_p ())
+			  if (optinfo_enabled_p ())
 			    {
 			      dump_printf_loc (MSG_MISSED_OPTIMIZATION,
 					       vect_location,
@@ -1657,7 +1657,7 @@ vect_supported_load_permutation_p (slp_instance slp_instn)
   slp_tree node;
   gimple *stmt, *load, *next_load;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK, "Load permutation ");
       FOR_EACH_VEC_ELT (SLP_INSTANCE_LOADS (slp_instn), i, node)
@@ -2115,7 +2115,7 @@ vect_split_slp_store_group (gimple *first_stmt, unsigned group1_size)
   /* GROUP_GAP of the first group now has to skip over the second group too.  */
   GROUP_GAP (first_vinfo) += group2_size;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "Split group into %d and %d\n",
 		     group1_size, group2_size);
 
@@ -2173,7 +2173,7 @@ vect_analyze_slp_instance (vec_info *vinfo,
 
   if (!vectype)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         {
           vect_location_writeln (OPT_RECORD_FAILURE,
 			   "Build SLP failed: unsupported data-type ");
@@ -2239,7 +2239,7 @@ vect_analyze_slp_instance (vec_info *vinfo,
 	  if (!max_nunits.is_constant (&const_max_nunits)
 	      || const_max_nunits > group_size)
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "Build SLP failed: store group "
 				 "size not a multiple of the vector size "
@@ -2302,7 +2302,7 @@ vect_analyze_slp_instance (vec_info *vinfo,
         {
           if (!vect_supported_load_permutation_p (new_instance))
             {
-              if (thing_enabled_p ())
+              if (optinfo_enabled_p ())
                 {
                   vect_location_writeln (OPT_RECORD_FAILURE,
 				   "Build SLP failed: unsupported load "
@@ -2337,7 +2337,7 @@ vect_analyze_slp_instance (vec_info *vinfo,
 	    }
 	  if (i == loads.length ())
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		vect_location_writeln (OPT_RECORD_FAILURE,
 				 "Built SLP cancelled: can use "
 				 "load/store-lanes\n");
@@ -2348,7 +2348,7 @@ vect_analyze_slp_instance (vec_info *vinfo,
 
       vinfo->slp_instances.safe_push (new_instance);
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK,
 			   "Final SLP tree for instance:\n");
@@ -2416,7 +2416,7 @@ vect_analyze_slp (vec_info *vinfo, unsigned max_tree_size)
   unsigned int i;
   gimple *first_element;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "=== vect_analyze_slp ===\n");
 
   /* Find SLP sequences starting from groups of grouped stores.  */
@@ -2470,7 +2470,7 @@ vect_make_slp_decision (loop_vec_info loop_vinfo)
   slp_instance instance;
   int decided_to_slp = 0;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "=== vect_make_slp_decision ==="
                      "\n");
 
@@ -2492,7 +2492,7 @@ vect_make_slp_decision (loop_vec_info loop_vinfo)
 
   LOOP_VINFO_SLP_UNROLLING_FACTOR (loop_vinfo) = unrolling_factor;
 
-  if (decided_to_slp && thing_enabled_p ())
+  if (decided_to_slp && optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK,
 		       "Decided to SLP %d instances. Unrolling factor ",
@@ -2554,7 +2554,7 @@ vect_detect_hybrid_slp_stmts (slp_tree node, unsigned i, slp_vect_type stype)
 		&& !(gimple_code (use_stmt) == GIMPLE_PHI
 		     && STMT_VINFO_DEF_TYPE (use_vinfo) == vect_reduction_def))
 	      {
-		if (thing_enabled_p ())
+		if (optinfo_enabled_p ())
 		  {
 		    vect_location_writeln (OPT_RECORD_REMARK, "use of SLP "
 				     "def in non-SLP stmt: ");
@@ -2568,7 +2568,7 @@ vect_detect_hybrid_slp_stmts (slp_tree node, unsigned i, slp_vect_type stype)
   if (stype == hybrid
       && !HYBRID_SLP_STMT (stmt_vinfo))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK, "marking hybrid: ");
 	  dump_gimple_stmt (MSG_NOTE, TDF_SLIM, stmt, 0);
@@ -2599,7 +2599,7 @@ vect_detect_hybrid_slp_1 (tree *tp, int *, void *data)
       if (flow_bb_inside_loop_p (loopp, gimple_bb (def_stmt))
 	  && PURE_SLP_STMT (vinfo_for_stmt (def_stmt)))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK, "marking hybrid: ");
 	      dump_gimple_stmt (MSG_NOTE, TDF_SLIM, def_stmt, 0);
@@ -2638,7 +2638,7 @@ vect_detect_hybrid_slp (loop_vec_info loop_vinfo)
   vec<slp_instance> slp_instances = LOOP_VINFO_SLP_INSTANCES (loop_vinfo);
   slp_instance instance;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "=== vect_detect_hybrid_slp ==="
                      "\n");
 
@@ -2763,7 +2763,7 @@ vect_slp_analyze_node_operations (vec_info *vinfo, slp_tree node,
       gcc_assert (PURE_SLP_STMT (stmt_info));
 
       tree scalar_type = TREE_TYPE (gimple_get_lhs (stmt));
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK,
 			   "get vectype for scalar type:  ");
@@ -2774,7 +2774,7 @@ vect_slp_analyze_node_operations (vec_info *vinfo, slp_tree node,
       tree vectype = get_vectype_for_scalar_type (scalar_type);
       if (!vectype)
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_FAILURE,
 			       "not SLPed: unsupported data-type ");
@@ -2785,7 +2785,7 @@ vect_slp_analyze_node_operations (vec_info *vinfo, slp_tree node,
 	  return false;
 	}
 
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_REMARK, "vectype:  ");
 	  dump_generic_expr (MSG_NOTE, TDF_SLIM, vectype);
@@ -2847,7 +2847,7 @@ vect_slp_analyze_operations (vec_info *vinfo)
   slp_instance instance;
   int i;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 		     "=== vect_slp_analyze_operations ===\n");
 
@@ -2869,7 +2869,7 @@ vect_slp_analyze_operations (vec_info *vinfo)
 	i++;
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 		     "=== vect_analyze_slp_cost ===\n");
 
@@ -2995,7 +2995,7 @@ vect_bb_vectorization_profitable_p (bb_vec_info bb_vinfo)
 
   vec_outside_cost = vec_prologue_cost + vec_epilogue_cost;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       vect_location_writeln (OPT_RECORD_REMARK, "Cost model analysis: \n");
       dump_printf (MSG_NOTE, "  Vector inside of basic block cost: %d\n",
@@ -3036,7 +3036,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
 
   if (n_stmts > PARAM_VALUE (PARAM_SLP_MAX_INSNS_IN_BB))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not vectorized: too many instructions in "
 			 "basic block.\n");
@@ -3054,7 +3054,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
 
   if (!vect_analyze_data_refs (bb_vinfo, &min_vf))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not vectorized: unhandled data-ref in basic "
 			 "block.\n");
@@ -3065,7 +3065,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
 
   if (BB_VINFO_DATAREFS (bb_vinfo).length () < 2)
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not vectorized: not enough data-refs in "
 			 "basic block.\n");
@@ -3076,7 +3076,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
 
   if (!vect_analyze_data_ref_accesses (bb_vinfo))
     {
-     if (thing_enabled_p ())
+     if (optinfo_enabled_p ())
        vect_location_writeln (OPT_RECORD_FAILURE,
 			"not vectorized: unhandled data access in "
 			"basic block.\n");
@@ -3090,7 +3090,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
      anyway.  */
   if (bb_vinfo->grouped_stores.is_empty ())
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not vectorized: no grouped stores in "
 			 "basic block.\n");
@@ -3108,7 +3108,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
      trees.  */
   if (!vect_analyze_slp (bb_vinfo, n_stmts))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	{
 	  vect_location_writeln (OPT_RECORD_FAILURE,
 			   "Failed to SLP the basic block.\n");
@@ -3155,7 +3155,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
 
   if (!vect_slp_analyze_operations (bb_vinfo))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not vectorized: bad operation in basic block.\n");
 
@@ -3167,7 +3167,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
   if (!unlimited_cost_model (NULL)
       && !vect_bb_vectorization_profitable_p (bb_vinfo))
     {
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
         vect_location_writeln (OPT_RECORD_FAILURE,
 			 "not vectorized: vectorization is not "
 			 "profitable.\n");
@@ -3176,7 +3176,7 @@ vect_slp_analyze_bb_1 (gimple_stmt_iterator region_begin,
       return NULL;
     }
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK,
 		     "Basic block will be vectorized using SLP\n");
 
@@ -3195,7 +3195,7 @@ vect_slp_bb (basic_block bb)
   bool any_vectorized = false;
   auto_vector_sizes vector_sizes;
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     vect_location_writeln (OPT_RECORD_REMARK, "===vect_slp_analyze_bb===\n");
 
   /* Autodetect first vector size we try.  */
@@ -3248,12 +3248,12 @@ vect_slp_bb (basic_block bb)
       if (bb_vinfo
 	  && dbg_cnt (vect_slp))
 	{
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK, "SLPing BB part\n");
 
 	  vect_schedule_slp (bb_vinfo);
 
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    vect_location_writeln (OPT_RECORD_REMARK,
 			     "basic block part vectorized\n");
 
@@ -3291,7 +3291,7 @@ vect_slp_bb (basic_block bb)
 	{
 	  /* Try the next biggest vector size.  */
 	  current_vector_size = vector_sizes[next_size++];
-	  if (thing_enabled_p ())
+	  if (optinfo_enabled_p ())
 	    {
 	      vect_location_writeln (OPT_RECORD_REMARK,
 			       "***** Re-trying analysis with "
@@ -3955,7 +3955,7 @@ vect_transform_slp_perm_load (slp_tree node, vec<tree> dr_chain,
 	    }
 	  else
 	    {
-	      if (thing_enabled_p ())
+	      if (optinfo_enabled_p ())
 		{
 		  // FIXME: would be better to use "stmt" for location here:
 		  vect_location_writeln (OPT_RECORD_FAILURE,
@@ -3978,7 +3978,7 @@ vect_transform_slp_perm_load (slp_tree node, vec<tree> dr_chain,
 	      indices.new_vector (mask, 2, nunits);
 	      if (!can_vec_perm_const_p (mode, indices))
 		{
-		  if (thing_enabled_p ())
+		  if (optinfo_enabled_p ())
 		    {
 		      dump_printf_loc (MSG_MISSED_OPTIMIZATION,
 				       vect_location, 
@@ -4098,7 +4098,7 @@ vect_schedule_slp_instance (slp_tree node, slp_instance instance,
   if (!SLP_TREE_VEC_STMTS (node).exists ())
     SLP_TREE_VEC_STMTS (node).create (SLP_TREE_NUMBER_OF_VEC_STMTS (node));
 
-  if (thing_enabled_p ())
+  if (optinfo_enabled_p ())
     {
       dump_printf_loc (MSG_NOTE,vect_location,
 		       "------>vectorizing SLP node starting from: ");
@@ -4260,7 +4260,7 @@ vect_schedule_slp (vec_info *vinfo)
       /* Schedule the tree of INSTANCE.  */
       is_store = vect_schedule_slp_instance (SLP_INSTANCE_TREE (instance),
                                              instance, bst_map);
-      if (thing_enabled_p ())
+      if (optinfo_enabled_p ())
 	vect_location_writeln (OPT_RECORD_REMARK,
                          "vectorizing stmts using SLP.\n");
     }
